Skip to Content
Webhooks

Redeliver a webhook

Queue the delivery to be sent again within a minute, with the same `webhook-id`. Requires the `webhooks:write` scope.

POST
/v1/webhook-deliveries/{id}/retry

Queue the delivery to be sent again within a minute, with the same webhook-id.

Requires the webhooks:write scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Path Parameters

id*string
Match^dlv_[0-9A-Za-z]{6,64}$

Response Body

The delivery is queued.

application/json
  1. response
id*string

Also the webhook-id header and envelope id.

Match^dlv_[0-9A-Za-z]{6,64}$
endpoint_id*string
Match^whk_[0-9A-Za-z]{6,64}$
mode*string

live or test. Always the mode of the API key that made the request.

Value in"live""test"
event_type*string

New event types may be added.

Value in"rsvp.created""rsvp.updated""rsvp.cancelled""rsvp.promoted""rsvp.checked_in""event.created""event.updated""event.cancelled"
status*string

pending while retries remain, delivered after a 2xx, failed after 24 hours of retries. skipped when WhoComing decided not to send it. New values may be added.

Value in"pending""delivered""failed""skipped"
attempts*integer
next_attempt_at*|

ISO 8601 with a UTC offset.

Formatdate-time
delivered_at*|

ISO 8601 with a UTC offset.

Formatdate-time
last_status*|

HTTP status from the last attempt.

last_error*string|null
payload*

The envelope that was sent: { id, type, created_at, mode, data }.

created_at*string

ISO 8601 with a UTC offset.

Formatdate-time
Example Request
curl -X POST 'https://api.whocoming.com/v1/webhook-deliveries/string/retry'
Example Response
{  "id": "string",  "endpoint_id": "string",  "mode": "live",  "event_type": "rsvp.created",  "status": "pending",  "attempts": 0,  "next_attempt_at": "2019-08-24T14:15:22Z",  "delivered_at": "2019-08-24T14:15:22Z",  "last_status": 0,  "last_error": "string",  "payload": {    "id": "string",    "created_at": "2019-08-24T14:15:22Z",    "mode": "live",    "type": "rsvp.created",    "data": {      "id": "string",      "event_id": "string",      "mode": "live",      "status": "going",      "name": "string",      "email": "string",      "guests": 0,      "answers": {        "property1": "string",        "property2": "string"      },      "source": "embed",      "locked": true,      "checked_in_at": "string",      "created_at": "string",      "updated_at": "string",      "guest_details_removed": true    }  },  "created_at": "2019-08-24T14:15:22Z"}